summaryrefslogtreecommitdiffstats
path: root/network/atftp
diff options
context:
space:
mode:
author Leonard Schmidt <lems@gmx.net>2015-03-27 15:42:28 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-27 15:42:28 +0700
commitd27cd40a4b04a0d55164385c3d2164a3f0aabcfe (patch)
tree9a32c65dbafafcdb355f83f2d738af5a8bde9d16 /network/atftp
parent4ac4c5f9871937106ad617e7b4a988c56916c809 (diff)
downloadslackbuilds-d27cd40a4b04a0d55164385c3d2164a3f0aabcfe.tar.gz
slackbuilds-d27cd40a4b04a0d55164385c3d2164a3f0aabcfe.tar.xz
network/atftp: Added (TFTP Client/Server).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/atftp')
-rw-r--r--network/atftp/README3
-rw-r--r--network/atftp/atftp.SlackBuild99
-rw-r--r--network/atftp/atftp.info10
-rw-r--r--network/atftp/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/network/atftp/README b/network/atftp/README
new file mode 100644
index 0000000000..375683bdcb
--- /dev/null
+++ b/network/atftp/README
@@ -0,0 +1,3 @@
+atftp is a client/server implementation of the TFTP protocol that implements
+RFCs 1350, 2090, 2347, 2348, and 2349. The server is multi-threaded and the
+client presents a friendly interface using libreadline.
diff --git a/network/atftp/atftp.SlackBuild b/network/atftp/atftp.SlackBuild
new file mode 100644
index 0000000000..4bb419bec3
--- /dev/null
+++ b/network/atftp/atftp.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for atftp
+
+# Copyright (c) 2015 Leonard Schmidt <lems@gmx.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=atftp
+VERSION=${VERSION:-0.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --enable-libreadline
+
+make
+make install-strip DESTDIR=$PKG
+
+# Remove in.tftpd link as it conflicts with tftp-hpa
+rm $PKG/usr/man/man8/in.tftpd.8
+rm $PKG/usr/sbin/in.tftpd
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUGS Changelog FAQ LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/atftp/atftp.info b/network/atftp/atftp.info
new file mode 100644
index 0000000000..563c90484f
--- /dev/null
+++ b/network/atftp/atftp.info
@@ -0,0 +1,10 @@
+PRGNAM="atftp"
+VERSION="0.7.1"
+HOMEPAGE="http://sourceforge.net/projects/atftp"
+DOWNLOAD="http://downloads.sourceforge.net/project/atftp/atftp-0.7.1.tar.gz"
+MD5SUM="367bf401965fbed04585b1229c2191a8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Leonard Schmidt"
+EMAIL="lems@gmx.net"
diff --git a/network/atftp/slack-desc b/network/atftp/slack-desc
new file mode 100644
index 0000000000..c905671318
--- /dev/null
+++ b/network/atftp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+atftp: atftp (a client/server implementation of the TFTP protocol)
+atftp:
+atftp: atftp is a client/server implementation of the TFTP protocol that
+atftp: implements RFCs 1350, 2090, 2347, 2348, and 2349. The server is
+atftp: multi-threaded and the client presents a friendly interface using
+atftp: libreadline.
+atftp:
+atftp:
+atftp:
+atftp:
+atftp: